VCMD0028040000000000COMPONENT          
Node "rSimResource"
{
Name "VC motor"
Id 1
NodeClass 
{
Id 1
Feature "rFrameFeature"
{
Name "RootFrame"

Visible 1
Value 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 
UseAsGuide 1
}
Feature "rTransformFeature"
{
Name "Transform_5_1"

Visible 1
Transform 
{
  Expression "Tz(motor_width/1.5).Ty(-motor_width/8).Tx(motor_width/1.97)"
}

Feature "rPrimitiveBoxFeature"
{
Name "Block_1_1"

Visible 1
Material  "black_matte"
{
  Ambient
  {
    Red 0.025000000372529
    Green 0.025000000372529
    Blue 0.025000000372529
  }
  Diffuse
  {
    Red 0.100000001490116
    Green 0.100000001490116
    Blue 0.100000001490116
  }
  Specular
  {
    Color
    {
      Red 0.0500000007450581
      Green 0.0500000007450581
      Blue 0.0500000007450581
    }
    Shininess 0.0599999986588955
  }
}

Length 
{
  Expression "motor_width/(4.5*8)"
}

Width 
{
  Expression "motor_width/4"
}

Height 
{
  Expression "motor_width/4"
}

}
}
Feature "rTransformFeature"
{
Name "Transform_6"

Visible 1
Transform 
{
  Expression "Tz(motor_width+motor_width/4+motor_width/6+motor_width/6+2)"
}

Feature "rTransformFeature"
{
Name "logo_3"

Visible 1
Transform 
{
  Expression "Sx(motor_width/200).Sy(motor_width/200).Sz(1).Sx(0.5).Sy(0.5)"
}

Feature "rPrimitiveWedgeFeature"
{
Name "Wedge_5_1"

Matrix -0.5 0.866025403784 2.55248296457e-016 0 -1.01110642928e-016 2.36359088428e-016 -1 0 -0.866025403784 -0.5 -1.96531972554e-016 0 -42.3238379263 -23.3031936517 -8.15839732367e-015 1 
Visible 1
Material  "orange"
{
  Ambient
  {
    Red 0.25
    Green 0.0874999985098839
    Blue 0
  }
  Diffuse
  {
    Red 1
    Green 0.349999994039536
    Blue 0
  }
  Specular
  {
    Color
    {
      Red 0.699999988079071
      Green 0.24499998986721
      Blue 0
    }
    Shininess 0.400000005960464
  }
}

BiggerLength 
{
  Expression "39"
}

SmallerLength 
{
  Expression ".1"
}

BiggerHeight 
{
  Expression "68"
}

SmallerHeight 
{
  Expression ".1"
}

Width 
{
  Expression "2"
}

MirrorBack 1
MirrorDown 0
}
Feature "rPrimitiveWedgeFeature"
{
Name "Wedge_6"

Matrix -0.5 0.866025403784 -1.32894340226e-033 0 -5.30270106023e-017 -3.06151588456e-017 -1 0 -0.866025403784 -0.5 -1.04686496017e-016 0 50 30 1.21719976191e-030 1 
Visible 1
Material  "orange"

BiggerLength 
{
  Expression "100"
}

SmallerLength 
{
  Expression "60 {mm}"
}

BiggerHeight 
{
  Expression "70 {mm}"
}

SmallerHeight 
{
  Expression ".1"
}

Width 
{
  Expression "2"
}

MirrorBack 1
MirrorDown 0
}
}
}
Feature "rTransformFeature"
{
Name "Transform_5"

Visible 1
Transform 
{
  Expression "Tz(motor_width/1.5).Ty(-motor_width/8).Tx(motor_width/3.5)"
}

Feature "rPrimitiveBoxFeature"
{
Name "Block_1"

Visible 1
Material  "dark_grey"
{
  Ambient
  {
    Red 0.0874999985098839
    Green 0.0874999985098839
    Blue 0.0874999985098839
  }
  Diffuse
  {
    Red 0.349999994039536
    Green 0.349999994039536
    Blue 0.349999994039536
  }
  Specular
  {
    Color
    {
      Red 0.24499998986721
      Green 0.24499998986721
      Blue 0.24499998986721
    }
    Shininess 0.400000005960464
  }
}

Length 
{
  Expression "motor_width/4.5"
}

Width 
{
  Expression "motor_width/4"
}

Height 
{
  Expression "motor_width/4"
}

}
}
Feature "rTransformFeature"
{
Name "Transform_3"

Visible 1
Transform 
{
  Expression "Tz(motor_width/8)"
}

Feature "rAngularCloneFeature"
{
Name "AngularClone_1"

Visible 1
CountExpression 
{
  Expression "4"
}

StepExpression 
{
  Expression "90{deg}"
}

OffsetExpression 
{
  Expression "Vector(0,0,0)"
}

Feature "rTransformFeature"
{
Name "Transform_4"

Visible 1
Transform 
{
  Expression "Rz(45).Tx(motor_width/1.8)"
}

Feature "rPrimitiveCylinderFeature"
{
Name "Cylinder_3"

Visible 1
Material  "red_metallic"
{
  Ambient
  {
    Red 0.0920000001788139
    Green 0.00575000001117587
    Blue 0.00575000001117587
  }
  Diffuse
  {
    Red 0.439999997615814
    Green 0.0274999998509884
    Blue 0.0274999998509884
  }
  Specular
  {
    Color
    {
      Red 0.930999994277954
      Green 0.859749972820282
      Blue 0.859749972820282
    }
    Shininess 0.899999976158142
  }
}

Radius 
{
  Expression "motor_width/14"
}

Height 
{
  Expression "motor_width/18"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "6"
}

Caps 1
}
}
}
}
Feature "rTransformFeature"
{
Name "Transform_1_1_1_1"

Visible 1
Transform 
{
  Expression "Tz(motor_width+motor_width/4+motor_width/6)"
}

Feature "rPrimitiveCylinderFeature"
{
Name "Cylinder_4_2"

Visible 1
Material  "red"
{
  Ambient
  {
    Red 0.217500001192093
    Green 0
    Blue 0
  }
  Diffuse
  {
    Red 0.870000004768372
    Green 0
    Blue 0
  }
  Specular
  {
    Color
    {
      Red 0.609000027179718
      Green 0
      Blue 0
    }
    Shininess 0.400000005960464
  }
}

Radius 
{
  Expression "motor_width/2.48"
}

Height 
{
  Expression "motor_width/70"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "32"
}

Caps 1
}
Feature "rPrimitiveConeFeature"
{
Name "Cone"

Visible 1
Material  "dark_grey"

BottomRadius 
{
  Expression "motor_width/2.50"
}

TopRadius 
{
  Expression "motor_width/2.8"
}

Height 
{
  Expression "motor_width/6"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "32"
}

Caps 1
}
}
Feature "rTransformFeature"
{
Name "Transform_1_1_1"

Visible 1
Transform 
{
  Expression "Tz(motor_width+motor_width/4)"
}

Feature "rPrimitiveCylinderFeature"
{
Name "Cylinder_4_1"

Visible 1
Material  "red"

Radius 
{
  Expression "motor_width/2.45"
}

Height 
{
  Expression "motor_width/70"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "32"
}

Caps 1
}
Feature "rPrimitiveCylinderFeature"
{
Name "Cylinder_1_1"

Visible 1
Material  "grey"
{
  Ambient
  {
    Red 0.162499994039536
    Green 0.162499994039536
    Blue 0.162499994039536
  }
  Diffuse
  {
    Red 0.649999976158142
    Green 0.649999976158142
    Blue 0.649999976158142
  }
  Specular
  {
    Color
    {
      Red 0.454999983310699
      Green 0.454999983310699
      Blue 0.454999983310699
    }
    Shininess 0.400000005960464
  }
}

Radius 
{
  Expression "motor_width/2.5"
}

Height 
{
  Expression "motor_width/6"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "32"
}

Caps 1
}
}
Feature "rTransformFeature"
{
Name "Transform_1_1"

Visible 1
Transform 
{
  Expression "Tz((motor_width/8)*2)"
}

Feature "rPrimitiveCylinderFeature"
{
Name "Cylinder_4"

Visible 1
Material  "red"

Radius 
{
  Expression "motor_width/2.45"
}

Height 
{
  Expression "motor_width/70"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "32"
}

Caps 1
}
Feature "rAngularCloneFeature"
{
Name "AngularClone"

Visible 1
CountExpression 
{
  Expression "66"
}

StepExpression 
{
  Expression "6"
}

OffsetExpression 
{
  Expression "Vector(0,0,0)"
}

Feature "rTransformFeature"
{
Name "Transform_2"

Visible 1
Transform 
{
  Expression "Tx(motor_width/2.5)"
}

Feature "rPrimitiveCylinderFeature"
{
Name "Cylinder_2"

Visible 1
Material  "red"

Radius 
{
  Expression "2"
}

Height 
{
  Expression "motor_width"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "12"
}

Caps 1
}
}
}
Feature "rPrimitiveCylinderFeature"
{
Name "Cylinder_1"

Visible 1
Material  "dark_grey"

Radius 
{
  Expression "motor_width/2.5"
}

Height 
{
  Expression "motor_width"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "32"
}

Caps 1
}
}
Feature "rTransformFeature"
{
Name "Transform_1"

Visible 1
Transform 
{
  Expression "Tz(motor_width/8)"
}

Feature "rPrimitiveCylinderFeature"
{
Name "Cylinder"

Visible 1
Material  "grey"

Radius 
{
  Expression "motor_width/2.5"
}

Height 
{
  Expression "motor_width/8"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "32"
}

Caps 1
}
}
Feature "rTransformFeature"
{
Name "Transform"

Visible 1
Transform 
{
  Expression "Ty(-motor_width/2).Tx(-motor_width/2)"
}

Feature "rPrimitiveBoxFeature"
{
Name "Block"

Visible 1
Material  "black"
{
  Ambient
  {
    Red 0.025000000372529
    Green 0.025000000372529
    Blue 0.025000000372529
  }
  Diffuse
  {
    Red 0.100000001490116
    Green 0.100000001490116
    Blue 0.100000001490116
  }
  Specular
  {
    Color
    {
      Red 0.0700000002980232
      Green 0.0700000002980232
      Blue 0.0700000002980232
    }
    Shininess 0.400000005960464
  }
}

Length 
{
  Expression "motor_width"
}

Width 
{
  Expression "motor_width"
}

Height 
{
  Expression "motor_width/8"
}

}
}
SimAttribute "rSimApplyMaterialAttribute"
{
Material  "white"
{
  Ambient
  {
    Red 0.25
    Green 0.25
    Blue 0.25
  }
  Diffuse
  {
    Red 1
    Green 1
    Blue 1
  }
  Specular
  {
    Color
    {
      Red 0.699999988079071
      Green 0.699999988079071
      Blue 0.699999988079071
    }
    Shininess 0.400000005960464
  }
}

}
VCID "a7f5dd95-2b89-4abe-a708-ab3dbe72095b"
}
Functionality "rSimInterface"
{
Id 1
Name "OneToOneInterface"
Flags 6
Section 
{
Name "new section"
Frame "RootFrame"
Fields
{
rSimHierarchyField
{
Name "new field"
Mount 0
Node "VC motor"
Frame "RootFrame"
}
}
}
}
VCID a7f5dd95-2b89-4abe-a708-ab3dbe72095b
Revision 2
Location 1 0 0 0 0 1 0 0 0 0 1 0 -592.944099714 -1824.44338374 0 1 
ActiveSimulationLevel detailed
BOMname  "NewComponent"

BOMdescription  ""

Category  "Factory Facilities"

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "motor_width"
    Value 230
    Group 10
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      TRANSLATE_USING_GETTEXT
    }
  }
}
}
